#ifdef RCSID
static char RCSid[] =
"$Header$";
#endif

/* Copyright (c) 1999 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  vmsa.cpp - stand-alone interpreter entrypoints
Function
  Defines certain entrypoints that are not needed in a normal stand-alone
  version of the interpreter.  The entrypoints defined here are dummy
  implementations that should never be called.

  Certain functions are needed only in special VM versions that support,
  for example, rebuilding of an image file after running 'preinit'.
Notes
  
Modified
  07/21/99 MJRoberts  - Creation
*/

#include <assert.h>

#include "vmobj.h"
#include "vmglob.h"
#include "vmdict.h"
#include "vmstr.h"
#include "vmlst.h"
#include "vmbignum.h"
#include "vmtobj.h"
#include "vmgram.h"
#include "vmmeta.h"
#include "vmarray.h"
#include "vmintcls.h"


ulong CVmObjTads::rebuild_image(VMG_ char *, ulong)
{
    assert(FALSE);
    return 0;
}

void CVmObjTads::convert_to_const_data(VMG_ CVmConstMapper *,
                                       vm_obj_id_t)
{
    assert(FALSE);
}

ulong CVmObjString::rebuild_image(VMG_ char *, ulong)
{
    assert(FALSE);
    return 0;
}

void CVmObjString::reserve_const_data(VMG_ CVmConstMapper *,
                                      vm_obj_id_t)
{
    assert(FALSE);
}

void CVmObjString::convert_to_const_data(VMG_ CVmConstMapper *,
                                         vm_obj_id_t)
{
    assert(FALSE);
}

ulong CVmObjList::rebuild_image(VMG_ char *, ulong)
{
    assert(FALSE);
    return 0;
}

void CVmObjList::reserve_const_data(VMG_ CVmConstMapper *,
                                    vm_obj_id_t)
{
    assert(FALSE);
}

void CVmObjList::convert_to_const_data(VMG_ CVmConstMapper *,
                                       vm_obj_id_t)
{
    assert(FALSE);
}

ulong CVmObjDict::rebuild_image(VMG_ char *, ulong)
{
    assert(FALSE);
    return 0;
}

void CVmObjDict::convert_to_const_data(VMG_ CVmConstMapper *,
                                       vm_obj_id_t)
{
    assert(FALSE);
}

ulong CVmObjGramProd::rebuild_image(VMG_ char *buf, ulong buflen)
{
    assert(FALSE);
    return 0;
}

void CVmMetaTable::rebuild_image(class CVmImageWriter *)
{
}

ulong CVmObjBigNum::rebuild_image(VMG_ char *, ulong)
{
    assert(FALSE);
    return 0;
}

void CVmObjBigNum::reserve_const_data(VMG_ CVmConstMapper *,
                                      vm_obj_id_t)
{
    assert(FALSE);
}

void CVmObjBigNum::convert_to_const_data(VMG_ CVmConstMapper *,
                                         vm_obj_id_t)
{
    assert(FALSE);
}

ulong CVmObjArray::rebuild_image(VMG_ char *, ulong)
{
    assert(FALSE);
    return 0;
}

void CVmObjArray::reserve_const_data(VMG_ CVmConstMapper *,
                                     vm_obj_id_t)
{
    assert(FALSE);
}

void CVmObjArray::convert_to_const_data(VMG_ CVmConstMapper *,
                                        vm_obj_id_t)
{
    assert(FALSE);
}

ulong CVmObjClass::rebuild_image(VMG_ char *, ulong)
{
    assert(FALSE);
    return 0;
}

void CVmObjClass::reserve_const_data(VMG_ CVmConstMapper *,
                                     vm_obj_id_t)
{
    assert(FALSE);
}

void CVmObjClass::convert_to_const_data(VMG_ CVmConstMapper *,
                                        vm_obj_id_t)
{
    assert(FALSE);
}

